Subject: Re: [PATCH] git-gui: fix use of undeclared variable diff_empty_count

From: Joerg Bornemann <[email-masked]>
Date: Tue, 07 Apr 2009 10:07:02 +0200

This bug occurs with msysgit under mysterious circumstances. We have at
least two Windows machines where "git diff" works correctly but "git 
gui" is unable to get the actual diffs. Before commit 584fa9cc, git gui 
favoured the user with an infinite message box loop. This is what 
584fa9cc should've fixed: display a nice message to the user. Instead I 
see the Tcl error message box, complaining about the missing variable 
diff_empty_count.